[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetTitleShowPrefix

Gets the prefix option for the title in the specified column number.

## Declaration

Source position: grids.pas line 1122

`protected function TCustomGrid.GetTitleShowPrefix(`
`Column: Integer`
`):Boolean;`

## Arguments

`Column` |  | Column number examined in the method.

## Function result

True when the TGridColumn is configured to use prefixes.

## Description

GetTitleShowPrefix determines whether the DT_NOPREFIX DrawText flag is included in the Canvas text style for the specified column. When GetTitleShowPrefix returns False, the DT_NOPREFIX flag in included in the text style.

GetTitleShowPrefix is called from the PrepareCanvas method when drawing a cell in the fixed rows for the grid.

## See also

TCustomGrid.PrepareCanvas |  | Prepares the canvas for drawing the cell at the specified location.
TCustomGrid.DrawCell |  | Draws a cell using a given state at the specified grid location (Col, Row, rectangle).
TCustomControl.Canvas |  | The drawing surface for the control.
TTextStyle |  | The Style of the Text to be drawn in a rectangle.